import type { StorybookConfig } from '@storybook/react-webpack5';
import webpack from './webpack';
export default {
	staticDirs: ['../public'],
	stories: ['../stories/**/*.mdx', '../stories/**/*.stories.@(ts|tsx)'],
	addons: [
		'@storybook/addon-links',
		'@storybook/addon-essentials',
		{
			name: '@storybook/addon-styling',
			options: {
				postCss: {
					implementation: require('postcss'),
					postcssOptions: {
						config: __dirname + '/styles/postcss.config.js',
					},
				},
			},
		},
	],
	docs: {
		autodocs: 'tag',
	},
	framework: {
		name: '@storybook/react-webpack5',
		options: {},
	},
	webpackFinal: (config) => webpack(config),
} as StorybookConfig;
