import { dissoc, includes, mapObjIndexed, replace } from 'ramda';

import { isNilOrEmpty } from '@prokyon/utils';

export const buildUrl = (url: string, params: Record<string, string> | undefined): string => {
	let queryParams = { ...params };
	let replacedUrl = url;
	if (params !== undefined) {
		mapObjIndexed((value: string, name) => {
			if (includes(`{${name}}`, url)) {
				queryParams = dissoc(name, queryParams);
				replacedUrl = replace(`{${name}}`, value, replacedUrl);
			}
		})(params);
	}
	if (!isNilOrEmpty(queryParams)) {
		return `${replacedUrl}?${Object.keys(queryParams)
			.map((k) => encodeURIComponent(k) + '=' + encodeURIComponent(queryParams[k]))
			.join('&')}`;
	}
	return replacedUrl;
};
