import { useDispatch, useSelector } from 'react-redux';

import { updateAuthAttribute } from '../slice';
import { AuthOption, AuthRootState } from '../types';

export function useAuth<P = unknown>() {
	const dispatch = useDispatch();

	const auth = useSelector((state: AuthRootState) => state.prokyon.auth);

	const handleSetAuthenticated = (authenticated: boolean) => {
		dispatch(updateAuthAttribute({ key: 'authenticated', value: authenticated }));
	};

	return {
		...(auth as AuthOption<P>),
		setAuthenticated: handleSetAuthenticated,
	};
}
