import { ROOT_REDUCER_NAME } from '@prokyon/constants/redux';

export const AUTH_REDUCER_NAME = 'auth';

export type AuthOption<P = unknown> = {
	accessToken?: string;
	authenticated?: boolean;
	refreshToken?: string;
} & P;

export type ModifyAuthOption<P = unknown> = {
	key: keyof AuthOption<P>;
	value: any;
};

export type AuthRootState = {
	[ROOT_REDUCER_NAME]: {
		[AUTH_REDUCER_NAME]: AuthOption;
	};
};
