import React, { FC, useEffect } from 'react';

import { StatusEnum } from '@prokyon/types/common';

import { Button } from '../../Button';
import { Modal } from '../context';
import { useModal } from '../hooks';

export type AddModalButtonProps = {
	Component: FC;
	modalTitle: string;
	props?: { [key: string]: any };
	status?: StatusEnum;
	title: string;
} & Modal<any>;

export const AddModalButton: FC<AddModalButtonProps> = ({ id, title, Component, style, status, props }) => {
	const { openModal, registerModal } = useModal();

	useEffect(() => {
		registerModal({
			Component,
			id,
			props,
			style,
			title,
		});
	}, []);

	const handleClick = () => {
		openModal(id);
	};

	return <Button label={title} onClick={handleClick} status={status} />;
};
