import React, { FC } from 'react';
import clsx from 'clsx';

import { DirectionEnum } from '@prokyon/types/common';

import { Title, TitleSizeEnum } from './Title';

export type SectionProps = {
	children: any;
	margin?: Partial<Record<DirectionEnum, number>>;
	title?: string;
	titleMargin?: Partial<Record<DirectionEnum, number>>;
	titleSize?: TitleSizeEnum;
};

const Section: FC<SectionProps> = ({ title, children, titleSize, margin, titleMargin }) => {
	const margins: string[] = [];
	for (const direct in margin) {
		margins.push(`m${direct}-${margin[direct]}`);
	}
	return (
		<div className={clsx(margins)}>
			{title && (
				<Title size={titleSize} margin={titleMargin}>
					{title}
				</Title>
			)}
			{children}
		</div>
	);
};

export default Section;
