import { yupResolver } from '@hookform/resolvers/yup';
import * as hookForm from 'react-hook-form';
import { UseFormProps } from 'react-hook-form';
import { SchemaOf } from 'yup';

export type FormOptions<FormData extends hookForm.FieldValues> = {
	schema: SchemaOf<FormData>;
} & UseFormProps<FormData>;

const useForm = <FormData extends hookForm.FieldValues>(options: FormOptions<FormData>) => {
	return hookForm.useForm<FormData>({
		resolver: yupResolver(options.schema as any) as any,
		...options,
	});
};

export const useFieldArray = hookForm.useFieldArray;
export const useWatch = hookForm.useWatch;

export default useForm;
