export type Dictionary = {
	char: string;
	char_2: string;
	char_5: string;
	prokyon: {
		common: {
			no: string;
			yes: string;
		};
		components: {
			timePicker: {
				hours: string;
				minutes: string;
			};
		};
	};
};

export type DotPrefix<T extends string> = T extends '' ? '' : `.${T}`;

export type DotNestedKeys<T> = (
	T extends object
		? {
				[K in Exclude<keyof T, symbol>]: `${K}${DotPrefix<DotNestedKeys<T[K]>>}`;
		  }[Exclude<keyof T, symbol>]
		: ''
) extends infer D
	? Extract<D, string>
	: never;
