import React from 'react';

import { useAuth } from '@prokyon/auth/hook/useAuth';
import { Button } from '@prokyon/components/Button';
import { StatusEnum } from '@prokyon/types/common';

import SecureRoute from './SecureRoute';

const AuthExample = () => {
	const { setAuthenticated } = useAuth();
	return (
		<>
			<div className="flex justify-between space-x-10 mb-10">
				<Button label="Sign In" status={StatusEnum.success} onClick={() => setAuthenticated(true)} />
				<Button label="Sign Out" status={StatusEnum.warning} onClick={() => setAuthenticated(false)} />
			</div>
			<SecureRoute />
		</>
	);
};

export default AuthExample;
