import React from 'react';
import { combineReducers, configureStore } from '@reduxjs/toolkit';
import { Provider } from 'react-redux';

import authReducer from '@prokyon/auth/slice';
import { AUTH_REDUCER_NAME } from '@prokyon/auth/types';
import { ROOT_REDUCER_NAME } from '@prokyon/constants/redux';

const store = configureStore({
	reducer: {
		[ROOT_REDUCER_NAME]: combineReducers({
			[AUTH_REDUCER_NAME]: authReducer,
		}),
	},
	middleware: (gDM) => gDM(),
	devTools: true,
});

const StoreProvider: React.FC<{ children: React.ReactChild }> = ({ children }) => (
	<Provider store={store}>{children}</Provider>
);

export default StoreProvider;
