import { Meta, StoryObj } from '@storybook/react';

import Section from '@prokyon/components/Section';
import { TitleSizeEnum } from '@prokyon/components/Title';
import { DirectionEnum } from '@prokyon/types/common';

type Story = StoryObj<typeof Section>;

export default {
	component: Section,
	parameters: {
		docs: {
			description: {
				component: "`import Section from '@prokyon/components/Section';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {
		title: 'Section',
		children: 'Content',
	},
};

export const Medium: Story = {
	args: {
		title: 'Section',
		children: 'content',
		titleSize: TitleSizeEnum.md,
		margin: { [DirectionEnum.y]: 2 },
	},
};

export const Large: Story = {
	args: {
		title: 'Section',
		children: 'content',
		titleSize: TitleSizeEnum.lg,
		margin: { [DirectionEnum.y]: 2, [DirectionEnum.top]: 3 },
	},
};

export const ExtraLarge: Story = {
	args: {
		title: 'Section',
		children: 'content',
		titleSize: TitleSizeEnum.xl,
		margin: { [DirectionEnum.y]: 2, [DirectionEnum.top]: 4 },
	},
};
