import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { FetchLoader } from '@prokyon/api/components/Loader';
import { FetchShapeBlock } from '@prokyon/api/components/shapes/Block';
import { FetchShapeInput } from '@prokyon/api/components/shapes/Input';
import { FetchShapeTable } from '@prokyon/api/components/shapes/Table';

type Story = StoryObj<typeof FetchLoader>;

export default {
	component: FetchLoader,
	parameters: {
		docs: {
			description: {
				component: "`import Loader from '@prokyon/components/Loader';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Input: Story = {
	args: {
		active: true,
		children: 'children',
		placeholder: <FetchShapeInput />,
	},
};

export const Table: Story = {
	args: {
		active: true,
		children: 'children',
		placeholder: <FetchShapeTable />,
	},
};

export const Block: Story = {
	args: {
		active: true,
		children: 'children',
		placeholder: <FetchShapeBlock />,
	},
};
